<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Document</title>
</head>
<body>
<form action="" id="login-form">

</form>
<!-- Напишите функцию-конструктор поле ввода (input), которая:
   1. Создает однострочное поле ввода заданого типа  (text, email, password и т.д.), с нужными классами (второй аргумент), свойством name и id, обязательное для заполнения или нет
   2. Метод render возвращает DOM-элемент input, созданный на основе свойств этого объекта (принимая значения куда нужно добавить данный элемент).
   3. Если поле обязательное - выводить ошибку с указаным текстом если пользователь поставил в поле ввода курсор - а потом убрал, ничего не введя.

      Создайте с помощью этой функции 2 поля ввода: логина и пароля, оба обязательныеб добавьте их в форму-->
    <script>

        function Input(){

        }
        // Использовать передачу объекта и деструктуризацию
        const loginField = new Input("email", "user-email", "login-email", "form-control", true, "Поле email должно быть заполненно!");
//        loginField.render(); // вернет <input type="email" name="user-email" id="login-email" class="form-control" required>
    </script>
</body>
</html>
